Become a MacRumors Supporter for $25/year with no ads, private forums, and more!

Downgrade from 6.1

charlenee

macrumors newbie
Original poster
Apr 10, 2014
14
1
I want to downgrade my Apple TV 3 from 6.1 to 6.0.2. But when I connect the device to iTunes and select .ipsw I get an error saying: "Could not be restored because the firmware file is not compatible". Is there anything I can try to get past this? Or it is not possible to downgrade at all?
 

cyber16

macrumors 6502
Jan 12, 2013
487
28
You cannot downgrade a ATV3
You can on a ATV2 if you saved the SHSHs
No posible in your case.
 
Comment

waw74

macrumors 68040
May 27, 2008
3,717
437
when you install software on the aTV, it checks in with apple to make sure it can install that software. Apple typically only "signs" one version at a time, so the current version, and sometimes for a few days after the new release the previous version, but that doesn't last long.

so doesn't matter what version of hardware you have, if apple is no longer signing the version you want to install, you're out of luck.

the SHSH blobs that cyber mentioned are the info that is generated by apple signing that version of firmware and saves it, they are specific to an individual device and version of software. Currently you can only access/use them on the aTV 2, and you would have had to save them when you had the old software installed.

http://en.wikipedia.org/wiki/SHSH_blob
 
Comment

chrfr

macrumors G4
Jul 11, 2009
10,184
3,897
If you have the earlier version of Apple TV 3, you CAN downgrade as Apple is still signing older firmware, but only one specific build.
If you have the latest version of the Apple TV 3, which is labeled as model A1469, you cannot downgrade.
Details are in this post:
https://forums.macrumors.com/posts/18937063/
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.